Skip to main content
(deprecated since 23.1)Update only specific properties (name, description, enabled) of a Materialized view.

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Body

application/vnd.composer.v3+json

Materialized View partial update input.

name
string
description
string
enabled
boolean

Response

200 - application/vnd.composer.v3+json

OK

Materialized View

name
string
description
string
enabled
boolean
definition
object

Structure that defines the data stored in a Materialized View.

storageSettings
object

Storage settings for Materialized View, required to use external data storage. If not specified, data will be automatically stored internally.

id
string
referencedSourceIds
string[]

Sources that can be matched by this Materialized View.

definitionQuery
string

SQL query that defines this Materialized View.